For the complete documentation index, see llms.txt. This page is also available as Markdown.

List Carts

List carts.

Use the returned cartId with Get Cart to retrieve full configured line items and submission details.

Behaviour

Supply at least one filter: status, companyId, or contactId; companyId and contactId cannot be combined.

Results are cursor-paginated.

Requires the carts:read scope.

get
Authorizations
AuthorizationstringRequired

API key sent as a bearer token (mk_live_… / mk_test_…).

Query parameters
limitinteger · min: 1 · max: 5000OptionalDefault: 50
cursorstring · min: 1Optional
statusstring · enumOptionalPossible values:
companyIdstring · min: 1Optional
contactIdstring · min: 1Optional
Responses
200

Successful response.

application/json
get/v1/carts
GET /v1/carts HTTP/1.1
Host: admin.mimeeqapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "cartId": "text",
      "status": "OPEN",
      "referenceCode": "text",
      "contactId": "text",
      "clientEmail": "text",
      "currency": "text",
      "totalValue": 1,
      "totalAdditions": 1,
      "finalPrice": 1,
      "totalQuantity": 1,
      "itemCount": 1,
      "submissionData": {
        "fullName": "text",
        "email": "text",
        "phone": "text",
        "companyName": "text",
        "address": "text",
        "notes": "text",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "createdAt": "text",
      "modifiedAt": "text",
      "submittedAt": "text"
    }
  ],
  "page": {
    "limit": 1,
    "nextCursor": "text"
  }
}

Last updated

Was this helpful?